import { StyleSheet } from 'react-native'

const predefineStyle = {
  absolute: { position: 'absolute' },
  relative: { position: 'relative' },
  'pin-t': { top: 0 },
  'pin-b': { bottom: 0 },
  'pin-l': { left: 0 },
  'pin-r': { right: 0 },
  'pin-x': { left: 0, right: 0 },
  'pin-y': { top: 0, bottom: 0 },
  pin: { top: 0, bottom: 0, left: 0, right: 0 },
  italic: { fontStyle: 'italic' },
  roman: { fontStyle: 'normal' },
  uppercase: { textTransform: 'uppercase' },
  lowercase: { textTransform: 'lowercase' },
  capitalize: { textTransform: 'capitalize' },
  'normal-case': { textTransform: 'none' },
  underline: { textDecorationLine: 'underline' },
  'line-through': { textDecorationLine: 'line-through' },
  'no-underline': { textDecorationLine: 'none' },
  'text-left': { textAlign: 'left' },
  'text-center': { textAlign: 'center' },
  'text-right': { textAlign: 'right' },
  'text-justify': { textAlign: 'justify' },
  shadow: {
    shadowColor: '#000',
    shadowOffset: {
      width: 0,
      height: 1
    },
    shadowOpacity: 0.2,
    shadowRadius: 1.41,
    elevation: 2
  },
  'shadow-md': {
    shadowColor: '#000',
    shadowOffset: {
      width: 0,
      height: 2
    },
    shadowOpacity: 0.23,
    shadowRadius: 2.62,
    elevation: 4
  },
  'shadow-lg': {
    shadowColor: '#000',
    shadowOffset: {
      width: 0,
      height: 3
    },
    shadowOpacity: 0.27,
    shadowRadius: 4.65,
    elevation: 6
  },
  'shadow-none': {
    shadowColor: '#000',
    shadowOffset: {
      width: 0,
      height: 0
    },
    shadowOpacity: 0,
    shadowRadius: 0,
    elevation: 0
  }
}

const generatedStyle = {"border-solid":{"borderStyle":"solid"},"border-dashed":{"borderStyle":"dashed"},"border-dotted":{"borderStyle":"dotted"},"flex-shrink":{"flexShrink":1},"flex-no-shrink":{"flexShrink":0},"flex-grow":{"flexGrow":1},"flex-no-grow":{"flexGrow":0},"flex-no-wrap":{"flexWrap":"nowrap"},"flex-wrap":{"flexWrap":"wrap"},"flex-wrap-reverse":{"flexWrap":"wrap-reverse"},"flex-row":{"flexDirection":"row"},"flex-col":{"flexDirection":"column"},"flex-row-reverse":{"flexDirection":"row-reverse"},"flex-col-reverse":{"flexDirection":"column-reverse"},"justify-center":{"justifyContent":"center"},"justify-start":{"justifyContent":"flex-start"},"justify-end":{"justifyContent":"flex-end"},"justify-around":{"justifyContent":"space-around"},"justify-between":{"justifyContent":"space-between"},"justify-evenly":{"justifyContent":"space-evenly"},"self-auto":{"alignSelf":"auto"},"self-center":{"alignSelf":"center"},"self-start":{"alignSelf":"flex-start"},"self-end":{"alignSelf":"flex-end"},"self-stretch":{"alignSelf":"stretch"},"content-center":{"alignContent":"center"},"content-start":{"alignContent":"flex-start"},"content-end":{"alignContent":"flex-end"},"content-around":{"alignContent":"space-around"},"content-between":{"alignContent":"space-between"},"content-stretch":{"alignContent":"stretch"},"items-center":{"alignItems":"center"},"items-start":{"alignItems":"flex-start"},"items-end":{"alignItems":"flex-end"},"items-baseline":{"alignItems":"baseline"},"items-stretch":{"alignItems":"stretch"},"opacity-0":{"opacity":0},"p-2":{"padding":8},"w-2":{"width":8},"h-48":{"height":192},"text-indigo-darker":{"color":"#2f365f"},"ml-2":{"marginLeft":8},"border-indigo-lightest":{"borderColor":"#e6e8ff"},"border-b-2":{"borderBottomWidth":2},"text-yellow-darkest":{"color":"#453411"},"bg-purple-darkest":{"backgroundColor":"#21183c"},"text-red-darker":{"color":"#621b18"},"border-pink-darkest":{"borderColor":"#451225"},"bg-yellow-dark":{"backgroundColor":"#f2d024"},"border-indigo-lighter":{"borderColor":"#b2b7ff"},"text-orange-dark":{"color":"#de751f"},"rounded-tr-none":{"borderTopRightRadius":0},"border-t-0":{"borderTopWidth":0},"border-r":{"borderRightWidth":1},"h-px":{"height":1},"border-red-lightest":{"borderColor":"#fcebea"},"border-purple-lightest":{"borderColor":"#f3ebff"},"border-y-0":{"borderTopWidth":0,"borderBottomWidth":0},"w-4/5":{"width":"80%"},"py-1":{"paddingTop":4,"paddingBottom":4},"rounded-br-full":{"borderBottomRightRadius":300},"text-grey-dark":{"color":"#8795a1"},"h-6":{"height":24},"pt-1":{"paddingTop":4},"bg-green-darker":{"backgroundColor":"#1a4731"},"text-indigo":{"color":"#6574cd"},"bg-indigo-darkest":{"backgroundColor":"#191e38"},"rounded-lg":{"borderRadius":8},"border-orange":{"borderColor":"#f6993f"},"bg-pink-darker":{"backgroundColor":"#6f213f"},"text-blue-darker":{"color":"#1c3d5a"},"mr-1":{"marginRight":4},"bg-grey-darkest":{"backgroundColor":"#3d4852"},"border-black":{"borderColor":"#22292f"},"border-b":{"borderBottomWidth":1},"tracking-tight":{"letterSpacing":-0.8},"pb-4":{"paddingBottom":16},"bg-indigo-dark":{"backgroundColor":"#5661b3"},"h-full":{"height":"100%"},"max-w-2xl":{"maxWidth":1120},"text-base":{"fontSize":16},"border-grey":{"borderColor":"#b8c2cc"},"w-px":{"width":1},"text-indigo-dark":{"color":"#5661b3"},"p-5":{"padding":20},"opacity-25":{"opacity":0.25},"z-20":{"zIndex":20},"font-thin":{"fontWeight":"200"},"max-w-lg":{"maxWidth":800},"pt-4":{"paddingTop":16},"rounded-t-sm":{"borderTopLeftRadius":2,"borderTopRightRadius":2},"border-r-8":{"borderRightWidth":8},"bg-indigo-darker":{"backgroundColor":"#2f365f"},"mt-4":{"marginTop":16},"mb-8":{"marginBottom":32},"bg-contain":{"resizeMode":"contain"},"pl-px":{"paddingLeft":1},"w-1/3":{"width":"33.33333%"},"text-purple-dark":{"color":"#794acf"},"border-pink-lightest":{"borderColor":"#ffebef"},"rounded-sm":{"borderRadius":2},"bg-yellow":{"backgroundColor":"#ffed4a"},"mr-5":{"marginRight":20},"border-teal-lighter":{"borderColor":"#a0f0ed"},"pl-3":{"paddingLeft":12},"bg-yellow-lighter":{"backgroundColor":"#fff9c2"},"rounded-tr-lg":{"borderTopRightRadius":8},"bg-indigo-lighter":{"backgroundColor":"#b2b7ff"},"border-orange-darkest":{"borderColor":"#462a16"},"pb-px":{"paddingBottom":1},"opacity-50":{"opacity":0.5},"text-red-light":{"color":"#ef5753"},"border-4":{"borderWidth":4},"border-pink-lighter":{"borderColor":"#ffbbca"},"bg-pink-light":{"backgroundColor":"#fa7ea8"},"rounded-l-full":{"borderTopLeftRadius":300,"borderBottomLeftRadius":300},"border-purple":{"borderColor":"#9561e2"},"border-t-4":{"borderTopWidth":4},"h-16":{"height":64},"border-r-0":{"borderRightWidth":0},"text-teal-darkest":{"color":"#0d3331"},"font-medium":{"fontWeight":"500"},"bg-transparent":{"backgroundColor":"transparent"},"bg-blue-lightest":{"backgroundColor":"#eff8ff"},"border-red-lighter":{"borderColor":"#f9acaa"},"ml-1":{"marginLeft":4},"bg-grey":{"backgroundColor":"#b8c2cc"},"rounded-tl":{"borderTopLeftRadius":4},"border-green-darkest":{"borderColor":"#0f2f21"},"w-10":{"width":40},"border-y-2":{"borderTopWidth":2,"borderBottomWidth":2},"bg-yellow-lightest":{"backgroundColor":"#fcfbeb"},"mx-4":{"marginLeft":16,"marginRight":16},"border-y":{"borderTopWidth":1,"borderBottomWidth":1},"border-orange-dark":{"borderColor":"#de751f"},"mb-1":{"marginBottom":4},"border-orange-lightest":{"borderColor":"#fff5eb"},"text-green-light":{"color":"#51d88a"},"text-xs":{"fontSize":12},"mb-6":{"marginBottom":24},"rounded-tr-sm":{"borderTopRightRadius":2},"text-orange-lightest":{"color":"#fff5eb"},"border-orange-light":{"borderColor":"#faad63"},"text-green-darkest":{"color":"#0f2f21"},"mr-2":{"marginRight":8},"bg-purple-dark":{"backgroundColor":"#794acf"},"text-pink-darkest":{"color":"#451225"},"border-green-lightest":{"borderColor":"#e3fcec"},"max-w-xl":{"maxWidth":960},"bg-teal-darkest":{"backgroundColor":"#0d3331"},"h-2":{"height":8},"text-purple-darkest":{"color":"#21183c"},"text-pink":{"color":"#f66d9b"},"text-yellow-light":{"color":"#fff382"},"py-0":{"paddingTop":0,"paddingBottom":0},"w-1/4":{"width":"25%"},"border-orange-darker":{"borderColor":"#613b1f"},"rounded-br-lg":{"borderBottomRightRadius":8},"mr-10":{"marginRight":40},"pr-8":{"paddingRight":32},"rounded-br-none":{"borderBottomRightRadius":0},"rounded-r":{"borderTopRightRadius":4,"borderBottomRightRadius":4},"opacity-100":{"opacity":1},"bg-blue":{"backgroundColor":"#3490dc"},"text-green-darker":{"color":"#1a4731"},"text-teal":{"color":"#4dc0b5"},"rounded-l":{"borderTopLeftRadius":4,"borderBottomLeftRadius":4},"w-5":{"width":20},"ml-px":{"marginLeft":1},"mb-0":{"marginBottom":0},"rounded-b-lg":{"borderBottomRightRadius":8,"borderBottomLeftRadius":8},"rounded-br":{"borderBottomRightRadius":4},"bg-grey-light":{"backgroundColor":"#dae1e7"},"text-teal-darker":{"color":"#20504f"},"pb-5":{"paddingBottom":20},"min-h-0":{"minHeight":0},"border-indigo-light":{"borderColor":"#7886d7"},"rounded-b-full":{"borderBottomRightRadius":300,"borderBottomLeftRadius":300},"border-red":{"borderColor":"#e3342f"},"px-10":{"paddingLeft":40,"paddingRight":40},"max-h-full":{"maxHeight":"100%"},"bg-indigo":{"backgroundColor":"#6574cd"},"border-blue-lightest":{"borderColor":"#eff8ff"},"pt-10":{"paddingTop":40},"mx-px":{"marginLeft":1,"marginRight":1},"rounded-r-lg":{"borderTopRightRadius":8,"borderBottomRightRadius":8},"font-light":{"fontWeight":"300"},"pl-5":{"paddingLeft":20},"bg-indigo-lightest":{"backgroundColor":"#e6e8ff"},"text-grey-light":{"color":"#dae1e7"},"border-teal-darker":{"borderColor":"#20504f"},"px-1":{"paddingLeft":4,"paddingRight":4},"border-indigo":{"borderColor":"#6574cd"},"my-8":{"marginTop":32,"marginBottom":32},"max-w-4xl":{"maxWidth":1440},"text-pink-light":{"color":"#fa7ea8"},"border-pink-dark":{"borderColor":"#eb5286"},"pr-10":{"paddingRight":40},"mt-px":{"marginTop":1},"mr-3":{"marginRight":12},"mx-0":{"marginLeft":0,"marginRight":0},"py-10":{"paddingTop":40,"paddingBottom":40},"py-px":{"paddingTop":1,"paddingBottom":1},"pl-8":{"paddingLeft":32},"h-3":{"height":12},"py-3":{"paddingTop":12,"paddingBottom":12},"p-6":{"padding":24},"rounded-none":{"borderRadius":0},"rounded-tr":{"borderTopRightRadius":4},"w-full":{"width":"100%"},"border-grey-lighter":{"borderColor":"#f1f5f8"},"mt-6":{"marginTop":24},"h-24":{"height":96},"pt-3":{"paddingTop":12},"border-8":{"borderWidth":8},"my-0":{"marginTop":0,"marginBottom":0},"text-indigo-light":{"color":"#7886d7"},"border-yellow-dark":{"borderColor":"#f2d024"},"border-indigo-darkest":{"borderColor":"#191e38"},"pt-6":{"paddingTop":24},"h-12":{"height":48},"rounded-l-none":{"borderTopLeftRadius":0,"borderBottomLeftRadius":0},"bg-yellow-darker":{"backgroundColor":"#684f1d"},"border-grey-lightest":{"borderColor":"#f8fafc"},"rounded-t-lg":{"borderTopLeftRadius":8,"borderTopRightRadius":8},"w-48":{"width":192},"ml-4":{"marginLeft":16},"px-2":{"paddingLeft":8,"paddingRight":8},"w-3/4":{"width":"75%"},"rounded-t":{"borderTopLeftRadius":4,"borderTopRightRadius":4},"text-blue-light":{"color":"#6cb2eb"},"border-x":{"borderLeftWidth":1,"borderRightWidth":1},"text-red-lighter":{"color":"#f9acaa"},"pt-0":{"paddingTop":0},"text-white":{"color":"#ffffff"},"bg-red-dark":{"backgroundColor":"#cc1f1a"},"flex-1/4":{"flex":0.25},"text-yellow-lighter":{"color":"#fff9c2"},"bg-grey-lighter":{"backgroundColor":"#f1f5f8"},"bg-red":{"backgroundColor":"#e3342f"},"p-3":{"padding":12},"bg-green":{"backgroundColor":"#38c172"},"rounded-br-sm":{"borderBottomRightRadius":2},"border-b-4":{"borderBottomWidth":4},"rounded-t-full":{"borderTopLeftRadius":300,"borderTopRightRadius":300},"border-teal-dark":{"borderColor":"#38a89d"},"pb-8":{"paddingBottom":32},"text-orange-light":{"color":"#faad63"},"text-purple-darker":{"color":"#382b5f"},"min-w-0":{"minWidth":0},"pr-2":{"paddingRight":8},"font-extrabold":{"fontWeight":"800"},"bg-red-darkest":{"backgroundColor":"#3b0d0c"},"pl-6":{"paddingLeft":24},"w-64":{"width":256},"pr-1":{"paddingRight":4},"p-4":{"padding":16},"mr-4":{"marginRight":16},"text-pink-dark":{"color":"#eb5286"},"text-red":{"color":"#e3342f"},"bg-red-lightest":{"backgroundColor":"#fcebea"},"border-y-4":{"borderTopWidth":4,"borderBottomWidth":4},"border-l-8":{"borderLeftWidth":8},"h-4":{"height":16},"mx-6":{"marginLeft":24,"marginRight":24},"m-1":{"margin":4},"w-8":{"width":32},"bg-purple":{"backgroundColor":"#9561e2"},"my-10":{"marginTop":40,"marginBottom":40},"z-50":{"zIndex":50},"rounded-tr-full":{"borderTopRightRadius":300},"text-indigo-lightest":{"color":"#e6e8ff"},"text-2xl":{"fontSize":24},"py-2":{"paddingTop":8,"paddingBottom":8},"pl-0":{"paddingLeft":0},"border-yellow-lightest":{"borderColor":"#fcfbeb"},"border-green-darker":{"borderColor":"#1a4731"},"border-indigo-darker":{"borderColor":"#2f365f"},"text-4xl":{"fontSize":36},"rounded-tl-full":{"borderTopLeftRadius":300},"w-3":{"width":12},"border-orange-lighter":{"borderColor":"#fcd9b6"},"h-64":{"height":256},"text-green-lighter":{"color":"#a2f5bf"},"mr-6":{"marginRight":24},"rounded-r-sm":{"borderTopRightRadius":2,"borderBottomRightRadius":2},"pr-3":{"paddingRight":12},"text-green-lightest":{"color":"#e3fcec"},"mt-0":{"marginTop":0},"border-grey-darkest":{"borderColor":"#3d4852"},"bg-white":{"backgroundColor":"#ffffff"},"border-yellow-darker":{"borderColor":"#684f1d"},"ml-3":{"marginLeft":12},"pt-px":{"paddingTop":1},"opacity-75":{"opacity":0.75},"max-w-5xl":{"maxWidth":1600},"bg-center":{"resizeMode":"center"},"border-blue-lighter":{"borderColor":"#bcdefa"},"text-teal-light":{"color":"#64d5ca"},"text-pink-lighter":{"color":"#ffbbca"},"w-2/5":{"width":"40%"},"font-hairline":{"fontWeight":"100"},"border-grey-darker":{"borderColor":"#606f7b"},"m-6":{"margin":24},"text-sm":{"fontSize":14},"bg-blue-darkest":{"backgroundColor":"#12283a"},"bg-purple-lightest":{"backgroundColor":"#f3ebff"},"text-yellow-lightest":{"color":"#fcfbeb"},"my-px":{"marginTop":1,"marginBottom":1},"border-red-light":{"borderColor":"#ef5753"},"py-8":{"paddingTop":32,"paddingBottom":32},"bg-teal":{"backgroundColor":"#4dc0b5"},"text-orange-darker":{"color":"#613b1f"},"mr-px":{"marginRight":1},"border-red-darkest":{"borderColor":"#3b0d0c"},"bg-teal-dark":{"backgroundColor":"#38a89d"},"border-b-8":{"borderBottomWidth":8},"border-purple-darker":{"borderColor":"#382b5f"},"mt-1":{"marginTop":4},"h-10":{"height":40},"text-grey-darker":{"color":"#606f7b"},"mb-10":{"marginBottom":40},"mx-2":{"marginLeft":8,"marginRight":8},"border-grey-light":{"borderColor":"#dae1e7"},"pr-0":{"paddingRight":0},"m-2":{"margin":8},"border":{"borderWidth":1,"borderColor":"#dae1e7"},"rounded-bl-lg":{"borderBottomLeftRadius":8},"h-5":{"height":20},"flex-1/2":{"flex":0.5},"mt-8":{"marginTop":32},"rounded-b-sm":{"borderBottomRightRadius":2,"borderBottomLeftRadius":2},"border-indigo-dark":{"borderColor":"#5661b3"},"p-8":{"padding":32},"border-b-0":{"borderBottomWidth":0},"max-w-3xl":{"maxWidth":1280},"rounded-b":{"borderBottomRightRadius":4,"borderBottomLeftRadius":4},"bg-pink-dark":{"backgroundColor":"#eb5286"},"bg-teal-darker":{"backgroundColor":"#20504f"},"w-1":{"width":4},"border-x-0":{"borderLeftWidth":0,"borderRightWidth":0},"w-16":{"width":64},"border-blue-dark":{"borderColor":"#2779bd"},"my-5":{"marginTop":20,"marginBottom":20},"border-x-8":{"borderLeftWidth":8,"borderRightWidth":8},"bg-orange-darkest":{"backgroundColor":"#462a16"},"px-0":{"paddingLeft":0,"paddingRight":0},"w-1/2":{"width":"50%"},"text-purple-lightest":{"color":"#f3ebff"},"border-r-2":{"borderRightWidth":2},"bg-grey-lightest":{"backgroundColor":"#f8fafc"},"border-green":{"borderColor":"#38c172"},"px-8":{"paddingLeft":32,"paddingRight":32},"text-green-dark":{"color":"#1f9d55"},"w-2/3":{"width":"66.66667%"},"text-purple-lighter":{"color":"#d6bbfc"},"text-blue-lighter":{"color":"#bcdefa"},"bg-purple-darker":{"backgroundColor":"#382b5f"},"leading-tight":{"lineHeight":20},"text-blue-darkest":{"color":"#12283a"},"mb-3":{"marginBottom":12},"pb-6":{"paddingBottom":24},"mr-0":{"marginRight":0},"rounded-bl-full":{"borderBottomLeftRadius":300},"rounded-l-sm":{"borderTopLeftRadius":2,"borderBottomLeftRadius":2},"border-teal-lightest":{"borderColor":"#e8fffe"},"pt-2":{"paddingTop":8},"text-5xl":{"fontSize":48},"py-4":{"paddingTop":16,"paddingBottom":16},"border-l-2":{"borderLeftWidth":2},"font-black":{"fontWeight":"900"},"mx-1":{"marginLeft":4,"marginRight":4},"pt-8":{"paddingTop":32},"max-w-md":{"maxWidth":640},"text-pink-darker":{"color":"#6f213f"},"text-blue":{"color":"#3490dc"},"pb-10":{"paddingBottom":40},"w-32":{"width":128},"border-blue-darker":{"borderColor":"#1c3d5a"},"pb-2":{"paddingBottom":8},"z-10":{"zIndex":10},"mt-10":{"marginTop":40},"leading-loose":{"lineHeight":32},"text-grey":{"color":"#b8c2cc"},"text-teal-lightest":{"color":"#e8fffe"},"bg-red-light":{"backgroundColor":"#ef5753"},"pb-1":{"paddingBottom":4},"px-5":{"paddingLeft":20,"paddingRight":20},"mx-3":{"marginLeft":12,"marginRight":12},"bg-pink-lightest":{"backgroundColor":"#ffebef"},"border-blue":{"borderColor":"#3490dc"},"text-yellow-dark":{"color":"#f2d024"},"w-6":{"width":24},"py-6":{"paddingTop":24,"paddingBottom":24},"border-2":{"borderWidth":2},"mt-5":{"marginTop":20},"z-0":{"zIndex":0},"font-bold":{"fontWeight":"700"},"text-xl":{"fontSize":20},"border-pink-light":{"borderColor":"#fa7ea8"},"m-3":{"margin":12},"max-w-sm":{"maxWidth":480},"bg-teal-light":{"backgroundColor":"#64d5ca"},"m-0":{"margin":0},"bg-green-darkest":{"backgroundColor":"#0f2f21"},"bg-blue-darker":{"backgroundColor":"#1c3d5a"},"pr-4":{"paddingRight":16},"mb-2":{"marginBottom":8},"border-green-lighter":{"borderColor":"#a2f5bf"},"text-teal-lighter":{"color":"#a0f0ed"},"bg-red-lighter":{"backgroundColor":"#f9acaa"},"rounded-tl-none":{"borderTopLeftRadius":0},"rounded-bl":{"borderBottomLeftRadius":4},"bg-orange-dark":{"backgroundColor":"#de751f"},"bg-pink-lighter":{"backgroundColor":"#ffbbca"},"border-pink":{"borderColor":"#f66d9b"},"ml-5":{"marginLeft":20},"p-10":{"padding":40},"h-32":{"height":128},"bg-teal-lightest":{"backgroundColor":"#e8fffe"},"pr-px":{"paddingRight":1},"bg-pink":{"backgroundColor":"#f66d9b"},"rounded-b-none":{"borderBottomRightRadius":0,"borderBottomLeftRadius":0},"border-red-darker":{"borderColor":"#621b18"},"min-w-full":{"minWidth":"100%"},"bg-green-dark":{"backgroundColor":"#1f9d55"},"border-r-4":{"borderRightWidth":4},"text-orange-lighter":{"color":"#fcd9b6"},"border-t-8":{"borderTopWidth":8},"rounded-full":{"borderRadius":300},"bg-green-lighter":{"backgroundColor":"#a2f5bf"},"ml-10":{"marginLeft":40},"text-yellow":{"color":"#ffed4a"},"bg-orange-lighter":{"backgroundColor":"#fcd9b6"},"text-grey-lightest":{"color":"#f8fafc"},"mt-3":{"marginTop":12},"mx-8":{"marginLeft":32,"marginRight":32},"h-8":{"height":32},"m-10":{"margin":40},"bg-teal-lighter":{"backgroundColor":"#a0f0ed"},"font-normal":{"fontWeight":"400"},"border-t-2":{"borderTopWidth":2},"bg-red-darker":{"backgroundColor":"#621b18"},"bg-repeat":{"resizeMode":"repeat"},"m-4":{"margin":16},"rounded-l-lg":{"borderTopLeftRadius":8,"borderBottomLeftRadius":8},"font-semibold":{"fontWeight":"600"},"border-green-dark":{"borderColor":"#1f9d55"},"border-x-2":{"borderLeftWidth":2,"borderRightWidth":2},"border-green-light":{"borderColor":"#51d88a"},"mx-5":{"marginLeft":20,"marginRight":20},"my-1":{"marginTop":4,"marginBottom":4},"text-lg":{"fontSize":18},"max-w-xs":{"maxWidth":320},"border-yellow-light":{"borderColor":"#fff382"},"border-teal":{"borderColor":"#4dc0b5"},"border-teal-darkest":{"borderColor":"#0d3331"},"px-px":{"paddingLeft":1,"paddingRight":1},"text-purple-light":{"color":"#a779e9"},"border-blue-light":{"borderColor":"#6cb2eb"},"px-3":{"paddingLeft":12,"paddingRight":12},"text-pink-lightest":{"color":"#ffebef"},"bg-yellow-darkest":{"backgroundColor":"#453411"},"text-orange-darkest":{"color":"#462a16"},"pl-1":{"paddingLeft":4},"border-l":{"borderLeftWidth":1},"text-purple":{"color":"#9561e2"},"m-8":{"margin":32},"w-4":{"width":16},"text-orange":{"color":"#f6993f"},"flex-1":{"flex":1},"tracking-normal":{"letterSpacing":0},"text-green":{"color":"#38c172"},"text-blue-dark":{"color":"#2779bd"},"rounded-tl-lg":{"borderTopLeftRadius":8},"border-red-dark":{"borderColor":"#cc1f1a"},"px-6":{"paddingLeft":24,"paddingRight":24},"border-t":{"borderTopWidth":1},"ml-6":{"marginLeft":24},"z-30":{"zIndex":30},"pb-0":{"paddingBottom":0},"max-w-full":{"maxWidth":"100%"},"w-3/5":{"width":"60%"},"w-1/5":{"width":"20%"},"rounded-bl-none":{"borderBottomLeftRadius":0},"p-0":{"padding":0},"border-l-0":{"borderLeftWidth":0},"leading-normal":{"lineHeight":24},"border-l-4":{"borderLeftWidth":4},"bg-orange-light":{"backgroundColor":"#faad63"},"mb-5":{"marginBottom":20},"p-px":{"padding":1},"pr-5":{"paddingRight":20},"w-5/6":{"width":"83.33333%"},"bg-cover":{"resizeMode":"cover"},"rounded-t-none":{"borderTopLeftRadius":0,"borderTopRightRadius":0},"text-3xl":{"fontSize":30},"mr-8":{"marginRight":32},"mt-2":{"marginTop":8},"my-4":{"marginTop":16,"marginBottom":16},"rounded":{"borderRadius":4},"bg-grey-dark":{"backgroundColor":"#8795a1"},"border-purple-light":{"borderColor":"#a779e9"},"m-px":{"margin":1},"bg-blue-light":{"backgroundColor":"#6cb2eb"},"w-1/6":{"width":"16.66667%"},"z-40":{"zIndex":40},"w-12":{"width":48},"border-purple-dark":{"borderColor":"#794acf"},"text-black":{"color":"#22292f"},"border-white":{"borderColor":"#ffffff"},"text-red-darkest":{"color":"#3b0d0c"},"text-blue-lightest":{"color":"#eff8ff"},"text-indigo-darkest":{"color":"#191e38"},"rounded-tl-sm":{"borderTopLeftRadius":2},"pl-4":{"paddingLeft":16},"tracking-wide":{"letterSpacing":0.8},"border-blue-darkest":{"borderColor":"#12283a"},"bg-black":{"backgroundColor":"#22292f"},"mx-10":{"marginLeft":40,"marginRight":40},"bg-indigo-light":{"backgroundColor":"#7886d7"},"text-teal-dark":{"color":"#38a89d"},"bg-purple-light":{"backgroundColor":"#a779e9"},"mb-px":{"marginBottom":1},"bg-orange-darker":{"backgroundColor":"#613b1f"},"px-4":{"paddingLeft":16,"paddingRight":16},"text-grey-darkest":{"color":"#3d4852"},"text-transparent":{"color":"transparent"},"border-yellow":{"borderColor":"#ffed4a"},"border-y-8":{"borderTopWidth":8,"borderBottomWidth":8},"mb-4":{"marginBottom":16},"m-5":{"margin":20},"w-24":{"width":96},"rounded-bl-sm":{"borderBottomLeftRadius":2},"border-yellow-lighter":{"borderColor":"#fff9c2"},"p-1":{"padding":4},"bg-green-lightest":{"backgroundColor":"#e3fcec"},"bg-stretch":{"resizeMode":"stretch"},"rounded-r-full":{"borderTopRightRadius":300,"borderBottomRightRadius":300},"border-purple-lighter":{"borderColor":"#d6bbfc"},"bg-yellow-light":{"backgroundColor":"#fff382"},"text-grey-lighter":{"color":"#f1f5f8"},"bg-blue-dark":{"backgroundColor":"#2779bd"},"border-x-4":{"borderLeftWidth":4,"borderRightWidth":4},"pl-2":{"paddingLeft":8},"pr-6":{"paddingRight":24},"border-yellow-darkest":{"borderColor":"#453411"},"bg-green-light":{"backgroundColor":"#51d88a"},"py-5":{"paddingTop":20,"paddingBottom":20},"ml-8":{"marginLeft":32},"bg-grey-darker":{"backgroundColor":"#606f7b"},"leading-none":{"lineHeight":16},"min-h-full":{"minHeight":"100%"},"pl-10":{"paddingLeft":40},"bg-blue-lighter":{"backgroundColor":"#bcdefa"},"my-2":{"marginTop":8,"marginBottom":8},"text-indigo-lighter":{"color":"#b2b7ff"},"my-6":{"marginTop":24,"marginBottom":24},"border-transparent":{"borderColor":"transparent"},"border-purple-darkest":{"borderColor":"#21183c"},"bg-purple-lighter":{"backgroundColor":"#d6bbfc"},"rounded-r-none":{"borderTopRightRadius":0,"borderBottomRightRadius":0},"text-red-lightest":{"color":"#fcebea"},"text-red-dark":{"color":"#cc1f1a"},"text-yellow-darker":{"color":"#684f1d"},"my-3":{"marginTop":12,"marginBottom":12},"h-1":{"height":4},"ml-0":{"marginLeft":0},"bg-orange":{"backgroundColor":"#f6993f"},"border-pink-darker":{"borderColor":"#6f213f"},"border-0":{"borderWidth":0},"border-grey-dark":{"borderColor":"#8795a1"},"border-teal-light":{"borderColor":"#64d5ca"},"bg-pink-darkest":{"backgroundColor":"#451225"},"pt-5":{"paddingTop":20},"bg-orange-lightest":{"backgroundColor":"#fff5eb"},"pb-3":{"paddingBottom":12}}

const obj = Object.assign(generatedStyle, predefineStyle)

export const styles = StyleSheet.create(obj)

export function apply(style) {
  let result = {}
  const _styles = style.split(' ')
  _styles.forEach(_style => {
    result = Object.assign(result, styles[_style])
  })
  return result
}
